#!/bin/bash

baseDir="/home/somuns/ci4s"


#判断$1是否为all，如果是，则编译所有模块，否则只编译management-platform模块
if [ "$1" == "all" ]; then
   buildDir=$baseDir
else
   buildDir="$baseDir/ruoyi-modules/management-platform"
fi

echo "Building $buildDir"
cd  $buildDir  && mvn clean install

if [ $? -ne 0 ]; then
    echo "Failed to build ruoyi-modules"
    exit 1
fi








